Mailing List Archive

OpenSSL 1.1.0j version checking bug in configure.ac [PATCH]
Hi, I've just found this issue - brackets are eaten by Autoconf.
Quadrigraphs [1] may be used instead. This way configure produces
correct error.

Filipp

[1] https://www.gnu.org/software/autoconf/manual/autoconf-2.66/html_node/Quadrigraphs.html


diff --git a/configure.ac b/configure.ac
index 7379ab35..dcf52230 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2616,7 +2616,7 @@ if test "x$openssl" = "xyes" ; then
AC_MSG_ERROR([OpenSSL >= 1.0.1 required (have "$ssl_library_ver")])
;;
100*) ;; # 1.0.x
- 101000[0123456]*)
+ 101000@<:@0123456@:>@*)
# https://github.com/openssl/openssl/pull/4613
AC_MSG_ERROR([.OpenSSL 1.1.x versions prior to 1.1.0g have a bug that breaks their use with OpenSSH (have "$ssl_library_ver")])
;;
_______________________________________________
openssh-unix-dev mailing list
openssh-unix-dev@mindrot.org
https://lists.mindrot.org/mailman/listinfo/openssh-unix-dev
Re: OpenSSL 1.1.0j version checking bug in configure.ac [PATCH] [ In reply to ]
On 2018-11-22, Filipp Gunbin <fgunbin@fastmail.fm> wrote:

> Hi, I've just found this issue - brackets are eaten by Autoconf.
> Quadrigraphs [1] may be used instead.

That's the sort of solution from somebody who has read the manual
but hasn't seen many actual autoconf scripts. :-)

> - 101000[0123456]*)
> + 101000@<:@0123456@:>@*)

Normally you just use [[ ]]:

+ 101000[[0123456]]*)

--
Christian "naddy" Weisgerber naddy@mips.inka.de
_______________________________________________
openssh-unix-dev mailing list
openssh-unix-dev@mindrot.org
https://lists.mindrot.org/mailman/listinfo/openssh-unix-dev
Re: OpenSSL 1.1.0j version checking bug in configure.ac [PATCH] [ In reply to ]
On Thu, 22 Nov 2018, Filipp Gunbin wrote:

> Hi, I've just found this issue - brackets are eaten by Autoconf.
> Quadrigraphs [1] may be used instead. This way configure produces
> correct error.

Thanks - I've committed this (with naddy@'s tweak) to both the master
and V_7_9 stable branches.
_______________________________________________
openssh-unix-dev mailing list
openssh-unix-dev@mindrot.org
https://lists.mindrot.org/mailman/listinfo/openssh-unix-dev
Re: OpenSSL 1.1.0j version checking bug in configure.ac [PATCH] [ In reply to ]
On 23/11/2018 10:47 +1100, Damien Miller wrote:

> On Thu, 22 Nov 2018, Filipp Gunbin wrote:
>
>> Hi, I've just found this issue - brackets are eaten by Autoconf.
>> Quadrigraphs [1] may be used instead. This way configure produces
>> correct error.
>
> Thanks - I've committed this (with naddy@'s tweak) to both the master
> and V_7_9 stable branches.

Thanks!
Filipp
_______________________________________________
openssh-unix-dev mailing list
openssh-unix-dev@mindrot.org
https://lists.mindrot.org/mailman/listinfo/openssh-unix-dev